/* Reset margin and padding for all elements */
*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* Ensures consistent box model */
}

/* Remove list styling */
ol,
ul {
    list-style: none;
}

/* Remove default link styles */
a {
    text-decoration: none;
    color: inherit;
    /* Use the inherited color from the parent */
}

/* Remove table spacing and borders */
table {
    border-collapse: collapse;
    border-spacing: 0;
}

/* Remove default font-family and set a universal one */
body {
    font-family: 'Arial', sans-serif;
    line-height: 1.5;
    background-color: #fff;
}

/* Remove border for input and button elements */
input,
button,
textarea,
select {
    border: none;
    outline: none;
    background: none;
}

/* Ensures proper focus outline */
:focus {
    outline: none;
}

/* Set a consistent baseline for images and videos */
img,
video {
    display: block;
    max-width: 100%;
    height: auto;
}

/* Optional: Set default font sizes */
html {
    font-size: 100%;
    /* 16px by default, can adjust for accessibility */
}

/* Optional: Reset block-level elements */
section,
header,
footer,
article,
aside {
    display: block;
}


@font-face {
    font-family: 'Anton';
    src: url(../fonts/Anton/Anton-Regular.ttf);
}

@font-face {
    font-family: 'Poppins';
    src: url(../fonts/Poppins/Poppins-Regular.ttf);
}

@font-face {
    font-family: 'CantoraOne';
    src: url(../fonts/Cantora_One/CantoraOne-Regular.ttf);
}


:root {
    --title-font: 'Geist', sans-serif;
    --primary-font: 'Poppins', sans-serif;
    --logo-font: 'CantoraOne';
    --bg-color: #1A1B22;
    --sub-color: #A7AAB5;
    --table-data-color: #575656;
    --hero-title-color: radial-gradient(160% 160% at 50% 24.29%, #F9EDF2 0%, rgba(238, 220, 228, 0) 100%);
    --gradient-color: linear-gradient(108.65deg, #D20B61 3.9%, #664DC9 77.99%, #5C34F0 112.86%);
    --player-btn-bg-color: linear-gradient(159.16deg, #593EC5 26.46%, rgba(99, 66, 232, 0) 116.55%);
    --underline-color: #5A43B7;
    --card-bg-color: radial-gradient(241.86% 241.86% at 53.72% -58.25%, #404657 0%, rgba(64, 70, 87, 0) 100%);


    --main-color: #2C2D39;
    --card-color: #1A1B22;
    --title-color: #FFFFFF;
    --primary-color: #5A43B7;
    --song-name-color: #A0AEC0;
    --song-card-subtitle-color: #A7AAB5;
    --divider-text-color: #9898A6;
    --card-title-color: #FFFFFF;
    --table-data-color: #575656; 
}

body a{
    color: unset;
    text-decoration: none;
}
.nav-link:hover, .nav-link:focus{
    color: var(--sub-color) !important;
}
body p
{
    margin: 0;
}

/* common css */

.ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.content-wrapper {
    width: 100%;
    max-width: 1440px;
    margin: 0 auto;
}

.main-title {
    font-family: var(--title-font);
    font-weight: 400;
    font-size: 132px;
    line-height: 1.06;
    text-transform: uppercase;
    background: var(--hero-title-color);
    -webkit-background-clip: text;
    color: transparent;
    text-align: center;
}

.logo-title {
    font-weight: 500;
    font-size: 1.875rem;
    color: white;
}

.logo-img {
    width: 100%;
    max-width: 70px;
}

.gradient-text {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 24px;
    line-height: 1.83;
    background: var(--gradient-color);
    color: transparent;
    -webkit-background-clip: text;
}

.section-title {
    font-family: var(--title-font);
    font-weight: 400;
    font-size: 40px;
    line-height: 1.2;
    background: var(--hero-title-color);
    -webkit-background-clip: text;
    color: transparent;
    padding-bottom: 20px;
}

.section-title span {
    text-decoration: underline;
    text-decoration-color: var(--underline-color);
}

hr {
    border-color: var(--sub-color);
}

.common-pause {
    display: none;
}

/* header CSS */

.logo-area a {
    display: flex;
    align-items: center;
    gap: 16px;
}

header {
    width: 100%;
    position: fixed;
    top: 50px;
    z-index: 1000;
}

.header-area {
    background-color: var(--bg-color);
    padding: 18px 36px;
    border-radius: 85px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

header .nav-link {
    font-family: var(--title-font);
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    color: var(--sub-color);
}

nav ul {
    display: flex;
    align-items: center;
    gap: 60px;
}

.nav-top-area {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.nav-menu-after {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.nav-link {
    display: flex;
    gap: 24px;
}

.burger-menu {
    display: none;
}

.burger-menu .bar1,
.burger-menu .bar2,
.burger-menu .bar3 {
    height: 2px;
    width: 40px;
    background-color: var(--sub-color);
    margin-bottom: 4px;
}

.hamburger-menu {
    /* position: absolute; */
    /* top: 100px;
    right: -500px; */
    width: 500px;
    display: none;
    transition: all .3s linear 0s;
}

.hamburger-menu.active {
    background-color: var(--bg-color);
    display: flex;
    flex-direction: column;
    gap: 20px;
    height: 100vh;
    overflow-y: auto;
    padding: 50px;
    position: absolute;
    right: 0;
    top: -50px;
    z-index: 1000;
}

.header-area .icon-area {
    display: flex;
    align-items: center;
    gap: 60px;
}

.profile .img-box {
    position: relative;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    overflow: hidden;
    cursor: pointer
}

.profile .img-box img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* menu (the right one) */

.menu {
    position: absolute;
    top: calc(100% + 24px);
    right: 16px;
    width: 200px;
    min-height: 100px;
    background: var(--bg-color);
    box-shadow: 0 10px 20px rgba(0, 0, 0, .2);
    opacity: 0;
    transform: translateY(-10px);
    visibility: hidden;
    transition: 300ms;
}

.menu::before {
    content: '';
    position: absolute;
    top: -10px;
    right: 14px;
    width: 20px;
    height: 20px;
    background: var(--bg-color);
    transform: rotate(45deg);
    z-index: -1;
}

.menu.active {
    opacity: 1;
    transform: translateY(0);
    visibility: visible;
}

header .user-dropdown {
    position: relative;
}

.user-dropdown .menu {
    right: -15px;
    top: calc(100% + 44px);
}

/* menu links */

.menu ul {
    position: relative;
    display: flex;
    flex-direction: column;
    z-index: 10;
    background: var(--bg-color);
}

.menu ul li {
    list-style: none;
}

.menu ul li:hover {
    background: var(--sub-color);
}

.menu ul li a {
    text-decoration: none;
    color: white;
    font-family: var(--primary-font);
    font-size: 16px;
    display: flex;
    align-items: center;
    padding: 15px 20px;
    gap: 6px;
}

.menu ul li a:hover {
    color: var(--bg-color);
}


.search-function {
    width: fit-content;
    height: fit-content;
    position: relative;
}

.input-search {
    height: 30px;
    width: 30px;
    border-style: none;
    padding: 10px;
    font-size: 16px;
    letter-spacing: 2px;
    outline: none;
    border-radius: 25px;
    transition: all .5s ease-in-out;
    padding-right: 40px;
    color: #fff;
}

.input-search::placeholder {
    color: var(--sub-color);
    font-family: var(--primary-font);
    font-size: 16px;
    letter-spacing: 2px;
    font-weight: 100;
}

.btn-search {
    width: 30px;
    height: 30px;
    border-style: none;
    outline: none;
    cursor: pointer;
    border-radius: 50%;
    position: absolute;
    right: 0px;
    color: #ffffff;
    background-color: transparent;
    pointer-events: painted;
}

.btn-search:focus~.input-search {
    width: 250px;
    font-family: var(--primary-font);
    font-size: 16px;
    font-weight: 400;
    border-radius: 0px;
    background-color: transparent;
    border-bottom: 1px solid rgba(255, 255, 255, .5);
    transition: all 500ms cubic-bezier(0, 0.110, 0.35, 2);
}

.input-search:focus {
    width: 300px;
    border-radius: 0px;
    background-color: transparent;
    border-bottom: 1px solid rgba(255, 255, 255, .5);
    transition: all 500ms cubic-bezier(0, 0.110, 0.35, 2);
}

/* music player details */

.music-player-wrapper {
    position: fixed;
    bottom: 0;
    z-index: 500;
    width: 100%;
    z-index: 500;
    background-color: var(--bg-color);
}

.music-player {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 85px;
}

.music-info {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 15px 0;
    gap: 25px;
    max-width: 250px;
    min-width: 200px;
}


.music-info img {
    width: 100%;
}

.music-info .music-name {
    max-width: calc(100% - 85px);
}

.music-info h3 {
    font-family: var(--primary-font);
    font-weight: 500;
    font-size: 20px;
    line-height: 1.5;
    color: white;
}

.music-info p {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 14px;
    line-height: 1.5;
    color: var(--sub-color);
}

.music-player-navigation {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.music-player-navigation .player-btn,
.volume-btn {
    display: flex;
    align-items: center;
    gap: 10px;
    color: white;
    font-size: 20px;
}

.music-player .volume-btn {
    max-width: 150px;
    width: 15%;
}

.music-player-navigation .prev,
.music-player-navigation .global-play,
.music-player-navigation .global-pause,
.music-player-navigation .next {
    border-radius: 50%;
    background: var(--player-btn-bg-color);
    text-align: center;
}

.music-player-navigation .prev,
.music-player-navigation .next {
    height: 30px;
    line-height: 30px;
    width: 30px;
}

.music-player-navigation .global-play,
.music-player-navigation .global-pause {
    height: 40px;
    line-height: 40px;
    width: 40px;
}

input[type='range'] {
    -webkit-appearance: none;
    background: blackt;
    width: 100%;
    box-shadow: 10.87px 10.87px 16.3px 0px #161320;
}

input[type='range']::-webkit-slider-runnable-track {
    width: 100%;
    height: 5px;
    background: rgba(255, 255, 255, 0.8);
    border-radius: 50px;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    /* Override default look */
    margin-top: -5px;
    /* Centers thumb on the track */
    background: var(--player-btn-bg-color);
    height: 18px;
    width: 18px;
    border: 2px solid #16131F;
    border-radius: 50%;
    box-shadow: 1.09px 1.09px 5.43px 0px #FFFFFF1A inset;
box-shadow: 0px 5.43px 5.43px 0px #191038;
    box-shadow: -10.87px -10.87px 21.74px 0px #FFFFFF inset;
    box-shadow: 0px 16.3px 21.74px 0px #08060C;
    box-shadow: 10.87px 10.87px 10.87px 0px #0000000D inset;

}

.timestamp {
    max-width: 230px;
    min-width: 230px;
    width: 19%;
}

.time {
    color: white;
    font-family: var(--primary-font);
    font-size: 16px;
    max-width: 130px;
    white-space: nowrap;
}


/* Song Card */
.song-card {
    border-radius: 12px;
}

.song-info-area {
    position: relative;
    margin-top: -10px;
    background: var(--card-bg-color);
    backdrop-filter: blur(10px);
    padding: 12px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 12px;
    border-radius: 0 0 12px 12px;
    z-index: 1;
}

.song-list-table table tr td h4{
   color: #fff;
   font-family: var(--primary-font);
   font-weight: 500;
}

.artist_name{
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 14px;
    line-height: 1.5;
    letter-spacing: 0.26px;
    color: #fff;
}

.song-card .card-cover-img {
    width: 100%;
    height: auto;
    max-height: 355px;
    object-fit: cover;
    border-radius: 12px 12px 0 0;
}

.song-card .card-title {
    font-family: var(--primary-font);
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    color: white;
}

.song-card .card-singer {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    color: var(--sub-color);
}

.song-card i {
    color: var(--sub-color);
}

.card-lower-part {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.card-right-part {
    display: flex;
    align-items: center;
    gap: 20px;
}

.card-right-part a, .card-right-part .span-playlist {
    border: 1px solid var(--sub-color);
    padding: 5px 10px;
    border-radius: 32px;
    font-family: var(--primary-font);
    font-weight: 500;
    font-size: 12px;
    line-height: 2;
    color: var(--sub-color);
}

.card-right-part .button-container {
    position: relative;
    border: none;
}

.card-right-part .button-container a {
    border: none;
}

/* footer section */

footer {
    background-color: var(--bg-color);
    padding: 100px 0;
}

footer .footer-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 60px;
}

footer .footer-upper-area {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

footer p,
footer a {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 16px;
    line-height: 1.75;
    color: white;
    text-align: justify;
}

footer .footer-lower-area {
    padding-top: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

footer .quick-links {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
}


/* responsive media */

@media screen and (max-width:1480px) {
    .content-wrapper {
        padding: 0 100px;
    }
    .music-player {
        gap: 30px;
    }
}

@media screen and (max-width:1200px) {
    .content-wrapper {
        padding: 0 50px;
    }

    .nav-link-initial {
        display: none;
    }

    .burger-menu {
        display: block;
    }

    .music-player {
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        gap: 10px;
    }

    footer .footer-lower-area {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }

    .copyright p {
        text-align: center;
    }
}

@media screen and (max-width:991px) {

    .header-area .icon-area {
        gap: 45px;
    }

    .input-search:focus {
        width: 230px;
    }

    .btn-search:focus~.input-search {
        width: 200px;
    }

    .content-wrapper {
        padding: 0 30px;
    }

    .logo-title {
        font-size: 30px;
    }

    .main-title {
        font-size: 100px;
    }

    .section-title {
        font-size: 30px;
    }

    .music-info {
        max-width: 201px;
    }

    .timestamp {
        min-width: 100px;
        width: 15%;
    }
}

@media screen and (max-width:768px) {

    .user-dropdown .menu {
        top: calc(100% + 36px);
    }

    .logo-img {
        max-width: 50px;
    }

    .logo-title {
        font-size: 20px;
    }

    .main-title {
        font-size: 64px;
    }

    .search-function {
        display: none;
    }

    footer .footer-upper-area {
        align-items: center;
    }

    footer .quick-links {
        flex-wrap: wrap;
        gap: 5px 20px;
        justify-content: center;
    }

    footer {
        padding-bottom: 150px;
    }

    .music-info {
        gap: 12px;
    }

    .music-img {
        width: 40px;
    }

    .music-info .music-name {
        max-width:calc(100% - 52px)
    }
}

@media screen and (max-width:620px) {
    .content-wrapper {
        padding: 50px 20px;
    }

    header .content-wrapper {
        padding-bottom: 0;
        padding-top: 0;
    }

    .hamburger-menu.active {
        padding-left: 30px;
        padding-right: 30px;
    }

    .header-area .icon-area {
        gap: 20px;
    }

    .hamburger-menu {
        width: 250px;
    }

    .section-title {
        font-size: 20px;
    }

    .music-info {
        max-width: unset;
        width: calc(100% - 130px);
    }

    .music-player {
        padding-bottom: 20px;
        padding-top: 0;
    }

    .music-player .timestamp,
    .music-player .volume-btn {
        width: 26%;
    }

    .contact-section {
        background-position: -280px center;
    }
}

@media screen and (max-width:480px) {
    .music-info {
        justify-content: center;
        width: 100%;
    }

    .music-img {
        width: 40px;
    }

    .music-info .music-name {
        max-width:calc(100% - 52px)
    }

    .music-info h3 {
        font-size: 16px;
    }

    footer {
        padding-bottom: 150px;
    }
}



